/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Diff of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.89 Revision 1.170
1# ChangeLog for sys-auth/polkit 1# ChangeLog for sys-auth/polkit
2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.89 2012/06/27 10:06:14 ssuominen Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.170 2014/04/06 15:39:36 pacho Exp $
4
5 06 Apr 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r2.ebuild:
6 Needs to be rebuilt with systemd subslot bumps
7
8 15 Mar 2014; Samuli Suominen <ssuominen@gentoo.org> metadata.xml:
9 Add proper metadata for freedesktop-bugs@g.o
10
11*polkit-0.112-r2 (15 Mar 2014)
12
13 15 Mar 2014; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r2.ebuild:
14 USE="jit" to determine which pax-mark, if any, should be applied wrt #485910
15
16 11 Mar 2014; Pacho Ramos <pacho@gentoo.org> metadata.xml:
17 Cleanup due #239126
18
19 25 Feb 2014; Markus Meier <maekke@gentoo.org> polkit-0.112-r1.ebuild:
20 arm stable, bug #500758
21
22 23 Feb 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r1.ebuild:
23 x86 stable, bug #500758
24
25 23 Feb 2014; Pacho Ramos <pacho@gentoo.org> polkit-0.112-r1.ebuild:
26 amd64 stable, bug #500758
27
28 28 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
29 Fix ia64 where the order of the configure options was overridden by mips,
30 thanks Arfrever
31
32 27 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
33 Because sometimes portage is stupid
34
35 24 Dec 2013; Anthony G. Basile <blueness@gentoo.org> polkit-0.112-r1.ebuild:
36 Fix dependence on spidermonkey for mips, bug #495168
37
38 23 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
39 Stable for sparc, wrt bug #484486
40
41 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
42 Stable for alpha, wrt bug #484486
43
44 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
45 Stable for ia64, wrt bug #484486
46
47 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
48 Stable for ppc64, wrt bug #484486
49
50 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
51 Stable for ppc, wrt bug #484486
52
53 22 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
54 Stable for arm, wrt bug #484486
55
56 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
57 Stable for x86, wrt bug #484486
58
59 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
60 Stable for amd64, wrt bug #484486
61
62 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.110-r1.ebuild,
63 -files/polkit-0.110-CVE-2013-4288.patch:
64 old
65
66*polkit-0.112-r1 (19 Sep 2013)
67
68 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r1.ebuild,
69 polkit-0.112.ebuild:
70 -r0 is for stabilization w/ mozjs185 and -r1 is for ~arch with mozjs 17.0
71
72 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> -polkit-0.111-r1.ebuild:
73 Remove vulnerable version
74
75*polkit-0.110-r1 (19 Sep 2013)
76
77 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org>
78 +files/polkit-0.110-CVE-2013-4288.patch, +polkit-0.110-r1.ebuild:
79 Bump for CVE-2013-4288
80
81*polkit-0.112 (19 Sep 2013)
82
83 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> +polkit-0.112.ebuild:
84 Bump for CVE-2013-4288
85
86 10 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
87 polkit-0.111-r1.ebuild:
88 Stop forcing USE="consolekit systemd" for sys-auth/pambase in PDEPEND because
89 CONFIG_AUDITSYSCALL=y is not possible on every arch and the dependency was
90 always more about convinience than being strict requirement.
91
92 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> -polkit-0.111.ebuild:
93 dropped polkit-111 in favour of -r1 now that spidermonkey-17 is unmasked, as
94 per ssuominen's approval
95
96 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> polkit-0.110.ebuild,
97 polkit-0.111-r1.ebuild:
98 Adjusted deps for dev-lang/spidermonkey to ensure SLOT=0
99
100*polkit-0.111-r1 (08 Aug 2013)
101
102 08 Aug 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111-r1.ebuild:
103 Force use of dev-lang/spidermonkey:17 because automagic dependencies are bad.
104
105*polkit-0.111 (15 May 2013)
106
107 15 May 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111.ebuild:
108 Version bump by "okias" from Freenode
109
110 19 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107-r1.ebuild,
111 -files/polkit-0.107-fallback.patch:
112 old
113
114 19 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
115 Stable for sh, wrt bug #452688
116
117 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org>
118 files/polkit-0.110-W_define.patch:
119 Include link to upstream bug.
120
121 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
122 +files/polkit-0.110-W_define.patch:
123 Fix missing #include <sys/wait.h> for #define's of WIFEXITED, WEXITSTATUS,
124 WIFSIGNALED and WTERMSIG (to fix building on arch "sh")
125
126 09 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
127 Stable for sparc, wrt bug #452688
128
129 03 Mar 2013; Mike Frysinger <vapier@gentoo.org> polkit-0.110.ebuild:
130 Add s390 keywords #457078 by Michael Palimaka.
131
132 23 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
133 Stable for alpha, wrt bug #452688
134
135 10 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
136 Stable for ppc64, wrt bug #452688
137
138 09 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
139 Stable for ia64, wrt bug #452688
140
141 31 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
142 Stable for ppc, wrt bug #452688
143
144 29 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
145 Force USE="debug" to be disabled in dev-lang/spidermonkey to avoid asseration
146 errors as noted by _AxS_.
147
148 26 Jan 2013; Markus Meier <maekke@gentoo.org> polkit-0.110.ebuild:
149 arm stable, bug #452688
150
151 20 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
152 x86 stable wrt #452688
153
154 19 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
155 amd64 stable wrt #452688
156
157 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.104-r1.ebuild,
158 -polkit-0.109-r1.ebuild, -files/polkit-0.109-XAUTHORITY-fallback.patch:
159 old
160
161*polkit-0.110 (11 Jan 2013)
162
163 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.110.ebuild:
164 Version bump.
165
166 06 Jan 2013; Raúl Porcel <armin76@gentoo.org> polkit-0.107-r1.ebuild,
167 polkit-0.109-r1.ebuild:
168 Add ~sh wrt #436668
169
170 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.109-r1.ebuild:
171 Add ~ia64, wrt bug #436668
172
173 30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
174 Stable for sparc, wrt bug #436666
175
176 29 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
177 Stable for alpha, wrt bug #436666
178
179 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.108.ebuild,
180 -polkit-0.109.ebuild:
181 old
182
183*polkit-0.109-r1 (21 Dec 2012)
184
185 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109-r1.ebuild,
186 +files/polkit-0.109-XAUTHORITY-fallback.patch:
187 Backport XAUTHORITY fallback support from upstream git.
188
189 19 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.108.ebuild:
190 Add ~ia64, wrt bug #436668
191
192*polkit-0.109 (19 Dec 2012)
193
194 19 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109.ebuild:
195 Version bump. Fix PaX marking logic wrt #444446 by Maxim Kammerer
196
197 18 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
198 Stable for ia64, wrt bug #436666
199
200 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
201 stable arm, bug #436666
202
203 22 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107.ebuild:
204 old
205
206 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
207 stable ppc64, bug #436666
208
209 22 Nov 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
210 Stable for x86, tested by Vincent Olivert Riera <peratu@carrosses.com>, wrt
211 bug #436666
212
213 21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
214 stable ppc, bug #436666, thanks peratu
215
216 19 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.108.ebuild:
217 Link against -lgmodule-2.0 to prevent underlinking (backported from upstream,
218 but using sed to avoid eautoreconf) wrt #443798
219
220*polkit-0.108 (18 Nov 2012)
221
222 18 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.108.ebuild:
223 Version bump.
224
225 28 Oct 2012; Naohiro Aota <naota@gentoo.org> polkit-0.104-r1.ebuild,
226 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
227 Drop ~x86-fbsd due to bug #439968.
228
229 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
230 polkit-0.107-r1.ebuild:
231 Drop HPPA keywording (bug #438368).
232
233 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
234 Set QA_MULTILIB_PATHS for bug #424423.
235
236 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
237 Marked ~hppa (bug #436668).
238
239 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
240 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
241 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
242 and emphatize it's an Portage issue instead of polkit issue in src_install()
243 message.
244
245 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
246 Stable for amd64, wrt bug #436666
247
248*polkit-0.107-r1 (20 Sep 2012)
249
250 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
251 +files/polkit-0.107-fallback.patch:
252 Introduce upstream patch for falling back to uid 0 for authentication if list
253 of admin identities is empty.
254
255 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
256 -polkit-0.106-r7.ebuild:
257 old
258
259*polkit-0.107 (13 Jul 2012)
260
261 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
262 Version bump.
263
264 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
265 -polkit-0.106-r6.ebuild:
266 old
267
268 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
269 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
270 #391865 by Maksim Melnikau
271
272*polkit-0.106-r7 (02 Jul 2012)
273
274 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
275 RESTRICT="multilib-strict" since it's not compatible with the whole
276 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
277 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
278
279*polkit-0.106-r6 (01 Jul 2012)
280
281 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
282 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
283 /usr/lib to /usr/lib64 symlink.
284
285 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
286 polkit-0.106-r5.ebuild:
287 Adding dependency on SELinux policykit module if USE=selinux is set
288
289 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
290 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
291 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
292
293 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
294 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
295 old
296
297*polkit-0.106-r5 (27 Jun 2012)
298
299 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
300 Revert entire unix-group:wheel experiment back to unix-user:0 because
301 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
302 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
303 by Doug Goldstein.
4 304
5*polkit-0.106-r4 (27 Jun 2012) 305*polkit-0.106-r4 (27 Jun 2012)
6 306
7 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild: 307 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
8 Stop installing polkit-backend-1.pc because upstream changed 308 Stop installing polkit-backend-1.pc because upstream changed
333 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org> 633 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
334 +files/polkit-0.92-zsh-completions.patch, 634 +files/polkit-0.92-zsh-completions.patch,
335 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild, 635 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
336 +metadata.xml: 636 +metadata.xml:
337 Initial ebuild for GNOME 2.28. 637 Initial ebuild for GNOME 2.28.
338

Legend:
Removed from v.1.89  
changed lines
  Added in v.1.170

  ViewVC Help
Powered by ViewVC 1.1.20